Package com.xebialabs.xlrelease.api.v1.filter

# Enum Class WorkflowOrderMode

java.lang.Object
java.lang.Enum<WorkflowOrderMode>
com.xebialabs.xlrelease.api.v1.filter.WorkflowOrderMode

All Implemented Interfaces:
  `Serializable`, `Comparable<WorkflowOrderMode>`, `Constable`

public enum WorkflowOrderMode extends Enum<WorkflowOrderMode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `executions`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WorkflowOrderMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static WorkflowOrderMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### executions

    public static final WorkflowOrderMode executions

- ## Method Details

  - ### values

    public static WorkflowOrderMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WorkflowOrderMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null